CURSES_TERMCAP(3)

NAME
curses_termcap, fullname - curses termcap querying routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
char *
fullname(const char *termbuf, char *name);

DESCRIPTION
The fullname() function takes the termcap entry in termbuf and copies the full name of the terminal from the entry into the target variable name. The full name of the terminal is assumed to be the last alias in the termcap entry name. It is assumed that the name variable has sufficient storage to hold the full name of the terminal.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
terminfo(5)

STANDARDS
The libcurses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
The Curses package appeared in 4.0BSD.